Data Source Instance Properties

Specifies how the API connects to the data source instance: end point URL, method. Each instance has its own set of properties. A data source instance is a copy of an original data source.

GET /datasource-instances/{id}/properties

DescriptionGet the properties for the specific
Permissionsdashboard.library
Resource URLhttps://app.klipfolio.com/api/1.0/datasource-instances/{id}/properties
Parametersid (string) - data source instance id
(optional) client_id (string) - show only instances belonging to the specified client.

Example Request

GET https://app.klipfolio.com/api/1/datasource-instances/0123456789abcdef0123456789abcdef/properties

Example Response

{
"data": {
    "properties":{...}
},
"meta": {
   "status": 200,
   "success": true
}
}

PUT /datasource-instances/{id}/properties

DescriptionCreate or update properties for this data source instance. If the specified property does not already exist it is created, otherwise the existing property is updated.
Permissionsdashboard.library
Resource URLhttps://app.klipfolio.com/api/1.0/datasource-instances/{id}/properties
Parametersid (string) - data source instance id
(optional) client_id (string) - show only instances belonging to the specified client.

Example Request

PUT https://app.klipfolio.com/api/1/datasource-instances/0123456789abcdef0123456789abcdef/properties -d {'properties':{'Stuff':'NewStuff'}}

Example Response

{
"meta": {
   "status": 200,
   "success": true
}
}

DELETE /datasource-instances/{id}/properties

DescriptionDelete a specified data source instance.
Permissionsdashboard.library
Resource URLhttps://app.klipfolio.com/api/1.0/datasource-instances/{id}/properties?name=<name>
Parametersid (string) - data source instance id
name (string)
(optional) client_id (string) - show only instances belonging to the specified client.

Example Request

DELETE https://app.klipfolio.com/api/1/datasource-instances/0123456789abcdef0123456789abcdef/properties?name='Stuff'

Example Response

{
"meta": {
   "status": 200,
   "success": true
}
}